'use strict';

var constants = require('./constants');
var socketCallback = require('./socketCallback');

/**
 * An event handler for Redux Bolt actions
 * 
 * @param {Socket} socket Socket
 * @return {Socket}
 */
var eventsHandler = function eventsHandler(socket) {
  var events = constants.events;

  for (var event in events) {
    socket.on(events[event], socketCallback(socket));
  }
};

module.exports = eventsHandler;